package com.youchain.businessdata.returnJson;

import cn.idev.excel.annotation.ExcelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.persistence.Entity;

/**
 * @description: 标签打印
 * @date: 2020-04-01 15:01
 */
public interface BomPrint {
        Long getId();
        String getNs();
        String getCode();
        String getXz();
        String getPm();
        String getSupplier();
        String getHw();
        String getSrs();
        String getDxw();
        String getBonded();
        String getJxs();
        String getTyls();

        String getEwm();

        String getBqlx();

//    private String ns;
//
//    @ExcelProperty("箱种")
//    private String xz;
//
//    @ExcelProperty("品名")
//    private String pm;
//
//    @ExcelProperty("供应商")
//    private String supplier;
//
//    @ExcelProperty("货位")
//    private String hw;
//
//    @ExcelProperty("收容数")
//    private String srs;
//
//    @ExcelProperty("大小物")
//    private String dxw;
//
//    @ExcelProperty("税别")
//    private String bonded;
//
//    @ExcelProperty("机型")
//    private String jxs;
//
//    @ExcelProperty("台用量")
//    private String tyls;
//
//    @ExcelProperty("二维码")
//    private String ewm;

}
